Name:		oaf
Summary:	Object activation framework for GNOME
Version: 	0.6.7
Release: 	2
License: 	LGPL and GPL
Group:		System Environment/Libraries
Source: 	%{name}-%{version}.tar.gz
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:       ORBit >= 0.5.12
BuildRequires:  ORBit-devel >= 0.5.12
BuildRequires:  libxml-devel

%description
OAF is an object activation framework for GNOME. It uses ORBit.

%package devel
Summary:	Libraries and include files for OAF
Group:		Development/Libraries
Requires:	%name = %{version}
Requires:       ORBit-devel >= 0.5.12
Requires:       libxml-devel

%description devel
Development headers and libraries for OAF

%prep
%setup -q

%build
%ifarch alpha
    MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS \
    --enable-more-warnings --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --bindir=%{_bindir} \
    --libdir=%{_libdir} --includedir=%{_includedir} \
    --datadir=%{_datadir}

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make -k sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    libdir=$RPM_BUILD_ROOT%{_libdir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} install

%find_lang %name


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(0555, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/oaf/*.sample
%config %{_sysconfdir}/oaf/*.xml
%{_bindir}/*
%{_libdir}/*.so.*

%defattr (0444, root, root)
%{_datadir}/idl/*
%{_datadir}/oaf/*


%files devel

%defattr(0555, root, root)
%{_includedir}/liboaf
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/*.so

%defattr(0444, root, root)
%{_datadir}/aclocal/*.m4


%changelog
* Fri Sep  7 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- cleaned up the %files section

* Thu Aug 16 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- fixed buildroot
- fixed source tag

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fixes and updates

* Tue Aug 29 2000 Maciej Stachowiak <mjs@eazel.com>
- corrected Copyright field and renamed it to License

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file (based on bonobo.spec.in)
